Skip to content

Find warehouses

GET
/warehouse-management/warehouse-v2/warehouses
Required scope: warehouse:read

Searches for warehouses with optional filters, sorting, and pagination.

Parameters ​

Query parameters

page  integer
The page number to retrieve. The first page is 1. Cannot be less than 1.
Default value: 1
pageSize  integer
The size of the pages to retrieve. The default is 10. Cannot be less than 1 and larger than 100.
Default value: 10
active  enum
Required
Filter by active status.
Enum: ALLACTIVEINACTIVE
keyword  string
Keyword to search by name, number, or city.

Response ​

The response contains the found warehouses.